Submit a defect report - Gable Docs
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
/ v0 /defect-report
Try it
Submit a defect report
cURL
curl --request POST \
--url https://demo-api.gable.ai/v0/defect-report \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"description": "<string>",
"expectedBehavior": "<string>",
"reporterName": "<string>",
"reporterEmail": "<string>",
"organization": "<string>",
"pageUrl": "<string>",
"componentId": "<string>",
"componentName": "<string>",
"pathId": "<string>",
"ingressPayloadName": "<string>",
"egressPayloadName": "<string>"
}
'
Python
import requests
url = "https://demo-api.gable.ai/v0/defect-report"
payload = {
"description": "<string>",
"expectedBehavior": "<string>",
"reporterName": "<string>",
"reporterEmail": "<string>",
"organization": "<string>",
"pageUrl": "<string>",
"componentId": "<string>",
"componentName": "<string>",
"pathId": "<string>",
"ingressPayloadName": "<string>",
"egressPayloadName": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
expectedBehavior: '<string>',
reporterName: '<string>',
reporterEmail: '<string>',
organization: '<string>',
pageUrl: '<string>',
componentId: '<string>',
componentName: '<string>',
pathId: '<string>',
ingressPayloadName: '<string>',
egressPayloadName: '<string>'
})
};
fetch('https://demo-api.gable.ai/v0/defect-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
200
400
401
500
502
Response Body
{}
{
"message": "<string>",
"id": 123,
"title": "<string>"
}
Authorizations
X-API-KEY
string
header
required
Body
application/json
description: string required Description of the defect
expectedBehavior: string required What the user expected to happen
reporterName: string required Name of the reporter
reporterEmail: string required Email of the reporter
organization: string required Customer organization name
pageUrl: string required URL where the defect was reported from
componentId: string Lineage component ID
componentName: string Lineage component display name
pathId: string Path ID within the component
ingressPayloadName: string Ingress payload name for the path
egressPayloadName: string Egress payload name for the path